org.richfaces.resource

## Class ResourceKey

- java.lang.Object
- - org.richfaces.resource.ResourceKey

-     public final class ResourceKey
      extends Object

  Author:
    Nick Belaevski

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static com.google.common.base.Function<String,ResourceKey>` | `FACTORY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceKey(String resourceName, String libraryName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ResourceKey` | `create(javax.faces.application.Resource resource)`
    `static ResourceKey` | `create(String resourceQualifier)`
    `static ResourceKey` | `create(String resourceName, String libraryName)`
    `boolean` | `equals(Object obj)`
    `String` | `getLibraryName()`
    `String` | `getResourceName()`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### FACTORY

          public static final com.google.common.base.Function<String,ResourceKey> FACTORY

  - ### Constructor Detail

    - #### ResourceKey

          public ResourceKey(String resourceName,
                     String libraryName)

  - ### Method Detail

    - #### create

          public static ResourceKey create(String resourceQualifier)

    - #### create

          public static ResourceKey create(String resourceName,
                           String libraryName)

    - #### create

          public static ResourceKey create(javax.faces.application.Resource resource)

    - #### getResourceName

          public String getResourceName()

    - #### getLibraryName

          public String getLibraryName()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.